Commit ce560e1e authored by Sören Tempel's avatar Sören Tempel
Browse files

testing/gamescope: support libliftoff >= 0.3.0

This is just backported from upstream.

No additional changes seem to be necessary.

See: https://github.com/Plagman/gamescope/commit/8d03522dcde77c78b0281f5f688f0ca7dbe0ca48
parent c4e664a1
......@@ -4,7 +4,7 @@
pkgname=gamescope
pkgver=3.11.32
_stb=af1a5bc352164740c1cc1354942b1c6b72eacb8a
pkgrel=2
pkgrel=3
pkgdesc="SteamOS session compositing window manager"
url="https://github.com/Plagman/gamescope"
arch="all"
......@@ -29,6 +29,7 @@ makedepends="
source="https://github.com/Plagman/gamescope/archive/refs/tags/$pkgver/gamescope-$pkgver.tar.gz
https://github.com/nothings/stb/archive/$_stb/stb-$_stb.tar.gz
system-wlroots-libliftoff.patch
libliftoff-0.3.0.patch
"
options="!check" # no tests
......@@ -55,4 +56,5 @@ sha512sums="
592f0ef545e872ef9c0657b4e6dc0c0f2cbb0ee751faa3e810a2f6265f6889bb0b3b17960d366cdc9172d2ec99fedfaa67fd227ada8a757823171619d2128aba gamescope-3.11.32.tar.gz
5937baa1a9b7342ddc0e41c37ba0ea6b0c878f670a81b55bb124681e6b5e381fdc1d9557c96637e3ba082d6d968ed67a78b47f16aa5555c1c43394d1f9e57f2d stb-af1a5bc352164740c1cc1354942b1c6b72eacb8a.tar.gz
9fea6675d8c29d740c77d9ce6b69da4a1f54f39bf7a372fe538f154bb97f5cc21436033eeab1f2a154c5aee04410e5194b779c33104ab78b1a8a84ca5d798be2 system-wlroots-libliftoff.patch
cb19f52147c4370bd24fee5157321a41c14240dc83f5bfe1d720fb3b5bea86a5bd48d9697fdf7bd65d6143ce5c861f0636adfa90ad5e3d04c6db2a047445d092 libliftoff-0.3.0.patch
"
From 8d03522dcde77c78b0281f5f688f0ca7dbe0ca48 Mon Sep 17 00:00:00 2001
From: Joshua Ashton <joshua@froggi.es>
Date: Tue, 9 Aug 2022 02:18:00 +0000
Subject: [PATCH] subprojects: Bump libliftoff to support unsetting props
---
meson.build | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/meson.build b/meson.build
index 1311784b..355abe2e 100644
--- a/meson.build
+++ b/meson.build
@@ -103,7 +103,7 @@ spirv_shaders = glsl_generator.process(shader_src)
liftoff_dep = dependency(
'libliftoff',
- version: ['>= 0.2.0', '< 0.3.0'],
+ version: ['>= 0.3.0', '< 0.4.0'],
fallback: ['libliftoff', 'liftoff'],
default_options: ['default_library=static'],
)
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment